Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 334711 - media-libs/ladspa-cmt does not respect LDFLAGS
Summary: media-libs/ladspa-cmt does not respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: Professional Audio Applications Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2010-08-26 23:33 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2012-11-27 11:59 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (ladspa-cmt-1.16:20100826-225034.log,7.69 KB, text/plain)
2010-08-26 23:33 UTC, Diego Elio Pettenò (RETIRED)
Details
ladspa-cmt-1.15-respect-ldflags.patch (ladspa-cmt-1.15-respect-ldflags.patch,321 bytes, patch)
2010-09-13 16:11 UTC, Gavin Pryke
Details | Diff
ladspa-cmt-1.16-respect-ldflags.patch (ladspa-cmt-1.16-respect-ldflags.patch,321 bytes, patch)
2010-09-13 16:12 UTC, Gavin Pryke
Details | Diff
ladspa-cmt-1.15.ebuild.patch (ladspa-cmt-1.15.ebuild.patch,805 bytes, patch)
2010-09-13 16:12 UTC, Gavin Pryke
Details | Diff
ladspa-cmt-1.16.ebuild.patch (ladspa-cmt-1.16.ebuild.patch,341 bytes, patch)
2010-09-13 16:13 UTC, Gavin Pryke
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-08-26 23:33:17 UTC
See attached build log.

(Please do not complain about the need for looking at the build log until you can provide an easy way to open bugs with the correct data picked out of a tinderbox log. Thanks.)
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-08-26 23:33:43 UTC
Created attachment 244813 [details]
Build log
Comment 2 Gavin Pryke 2010-09-13 16:10:33 UTC
I have looked over this package have provided patches for the makefile and ebuilds for the LDFLAGS. I notice CXX is not respected on 1.15 either so I have added inherit toolchain-funcs and tc-export CXX like in 1.16.
Cheers.
Comment 3 Gavin Pryke 2010-09-13 16:11:37 UTC
Created attachment 247142 [details, diff]
ladspa-cmt-1.15-respect-ldflags.patch
Comment 4 Gavin Pryke 2010-09-13 16:12:09 UTC
Created attachment 247143 [details, diff]
ladspa-cmt-1.16-respect-ldflags.patch
Comment 5 Gavin Pryke 2010-09-13 16:12:43 UTC
Created attachment 247145 [details, diff]
ladspa-cmt-1.15.ebuild.patch
Comment 6 Gavin Pryke 2010-09-13 16:13:10 UTC
Created attachment 247147 [details, diff]
ladspa-cmt-1.16.ebuild.patch
Comment 7 Alexis Ballier gentoo-dev 2012-11-27 11:59:27 UTC
(In reply to comment #6)
> Created attachment 247147 [details, diff] [details, diff]
> ladspa-cmt-1.16.ebuild.patch

applied, thanks